GStreamer::GhostPad(3)

NAME
GStreamer::GhostPad

HIERARCHY
  Glib::Object
  +----GStreamer::Object
       +----GStreamer::Pad
            +----GStreamer::Pad
                 +----GStreamer::GhostPad

METHODS

  pad or undef = GStreamer::GhostPad->new ($name, $target)

•   $name (string or undef)

•   $target (GStreamer::Pad)

  pad or undef = GStreamer::GhostPad->new_no_target ($name, $dir)

•   $name (string or undef)

•   $dir (GStreamer::PadDirection)

  pad or undef = $gpad->get_target

  boolean = $gpad->set_target ($newtarget)

•   $newtarget (GStreamer::Pad)

ENUMS AND FLAGS

  enum GStreamer::PadDirection

•   'unknown' / 'GST_PAD_UNKNOWN'

•   'src' / 'GST_PAD_SRC'

•   'sink' / 'GST_PAD_SINK'

SEE ALSO
GStreamer, Glib::Object, GStreamer::Object, GStreamer::Pad, GStreamer::Pad

COPYRIGHT
Copyright (C) 2005-2011 by the gtk2-perl team.

This software is licensed under the LGPL. See GStreamer for a full notice.